MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004351ATutor- no cat -public2010-06-23 18:552010-09-22 11:52
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0 
Summary0004351: sitemap broken
DescriptionThe sitemap is not displaying. The following if dumped: see notes
Additional Information'._AT('home').''; $_current_modules = array_slice($_pages[AT_NAV_COURSE], 1); $_current_modules = array_merge((array) $_current_modules, array_diff($_pages[AT_NAV_HOME],$_pages[AT_NAV_COURSE])); foreach ($_current_modules as $module) { echo '
'; echo ' ' . _AT($_pages[$module]['title_var']) . ''; if ($module == 'forum/list.php') { $forums = get_forums($_SESSION['course_id']); if (is_array($forums)) { foreach ($forums as $state=>$rows) { $count = 0; $num_forums = count($rows); foreach ($rows as $row) { $count++; echo '
'; echo ''; if ($count < $num_forums) { echo ''; } else { echo ''; } echo ''; echo ' '.AT_print($row['title'], 'forums.title').''; } } } else { echo '
'; echo ''; echo ''; echo ''; echo _AT('no_forums'); } } } echo '
'._AT('search').'
'; echo ' '._AT('help').'
'; echo ' '._AT('content').'
'; $contentManager->printSiteMapMenu(); echo ''; ?>
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004354)
greg (administrator)
2010-06-23 18:57

php 5.3.2
(0004357)
cindy (administrator)
2010-06-24 07:53

SVN revision: 10036

Solution:
1. use "<?php" instead of "<?"
2. point "glossary/index.php" and "file_storage/index.php" to the new location in "mods"

Affected:
mods/_standard/sitemap/sitemap.php
include/lib/constants.inc.php
install/db/atutor_upgrade_1.6.4_to_2.0.sql

- Issue History
Date Modified Username Field Change
2010-06-23 18:55 greg New Issue
2010-06-23 18:55 greg Affects version => SVN
2010-06-23 18:57 greg Note Added: 0004354
2010-06-24 05:56 greg Status new => assigned
2010-06-24 05:56 greg Assigned To => cindy
2010-06-24 07:53 cindy Status assigned => resolved
2010-06-24 07:53 cindy Fixed in Version => 2.0
2010-06-24 07:53 cindy Resolution open => fixed
2010-06-24 07:53 cindy Note Added: 0004357
2010-09-22 11:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker